ChannelFactory (ActiveIO 1.0 API)
Keywords: org.activeio.ChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio
Class ChannelFactory

    java.lang.Object
      org.activeio.ChannelFactory

All Implemented Interfaces:
  AsynchChannelFactory, SynchChannelFactory

public class ChannelFactory
extends java.lang.Object
implements SynchChannelFactory, AsynchChannelFactory

A `ChannelFactory`uses the requested URI's scheme to determine the actual `SynchChannelFactory`or `AsynchChannelFactory`implementation to use to create it's `Channel`s and `ChannelServer`s. Each URI scheme that `ChannelFactory`object handles will have a properties file located at: "META-INF/org.activeio.ChannelFactory/{scheme}".

Field Summary
`static EDU.oswego.cs.dl.util.concurrent.Executor` | `DEFAULT_EXECUTOR`

Constructor Summary
`ChannelFactory()`

Method Summary
`AsynchChannelServer` | `bindAsynchChannel(java.net.URI location)` Binds a server at the URI location.
`SynchChannelServer` | `bindSynchChannel(java.net.URI location)` Binds a server at the URI location.
`AsynchChannel` | `openAsynchChannel(java.net.URI location)` Opens a connection to server.
`SynchChannel` | `openSynchChannel(java.net.URI location)` Opens a connection to server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_EXECUTOR

    public static final EDU.oswego.cs.dl.util.concurrent.Executor DEFAULT_EXECUTOR

Constructor Detail

### ChannelFactory

    public ChannelFactory()

Method Detail

### openSynchChannel

    public SynchChannel openSynchChannel(java.net.URI location)
                                  throws java.io.IOException

  Description copied from interface: `SynchChannelFactory`
  Opens a connection to server.

  Specified by:
    `openSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### bindSynchChannel

    public SynchChannelServer bindSynchChannel(java.net.URI location)
                                        throws java.io.IOException

  Description copied from interface: `SynchChannelFactory`
  Binds a server at the URI location.

  Specified by:
    `bindSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### openAsynchChannel

    public AsynchChannel openAsynchChannel(java.net.URI location)
                                    throws java.io.IOException

  Description copied from interface: `AsynchChannelFactory`
  Opens a connection to server.

  Specified by:
    `openAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### bindAsynchChannel

    public AsynchChannelServer bindAsynchChannel(java.net.URI location)
                                          throws java.io.IOException

  Description copied from interface: `AsynchChannelFactory`
  Binds a server at the URI location.

  Specified by:
    `bindAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.